## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathConstructionContext::GetAndReleaseCachedString Class Reference

`#include <XPathConstructionContext.hpp>`

Collaboration diagram for XPathConstructionContext::GetAndReleaseCachedString:

[legend]
List of all members.

## Public Methods

- GetAndReleaseCachedString (XPathConstructionContext &theConstructionContext)
- GetAndReleaseCachedString (GetAndReleaseCachedString &theSource)
- ~GetAndReleaseCachedString ()
- XalanDOMString& get () const
- XPathConstructionContext& getConstructionContext () const

## Constructor & Destructor Documentation

XPathConstructionContext::GetAndReleaseCachedString::GetAndReleaseCachedString ( | XPathConstructionContext & theConstructionContext )

XPathConstructionContext::GetAndReleaseCachedString::GetAndReleaseCachedString ( | GetAndReleaseCachedString & theSource )

XPathConstructionContext::GetAndReleaseCachedString::~GetAndReleaseCachedString ( | )

## Member Function Documentation

XalanDOMString & XPathConstructionContext::GetAndReleaseCachedString::get ( | ) const

XPathConstructionContext & XPathConstructionContext::GetAndReleaseCachedString::getConstructionContext ( | ) const

The documentation for this class was generated from the following file:

- XPathConstructionContext.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.